PDA

View Full Version : Swkotor doesn't work with ATI 9100!


clocs
12-26-2003, 08:12 AM
I've installed the game as usual and I can start it up to the mainscreen. But when I begin to start playing the Game usually crashes. Sometimes I play up to a few hours but it often crashes after the few minutes.

I also Updated it to the newest Version, but I could not see any changes...

I've got the Graphiccard from ATI Radeon 9100, and I also got the latest drivers (damn, never try to download 22 MB with 56K again...). But the game still crashes and the Hardware scan looks still like this:

!Graphiccard: Warning - RADEON 9100 Series 128 MB
Recomended: ATI RADEON 9200 or better

OpenGL: Not passed - ATI Technologies Inc. - 1.3.4063 WinXP Release
Needed: OpenGL 1.4.0-Driver

As you see, the Problem is the OpenGL. It says that I need the 1.4.0 Version, but where can it for my Graphiccard?

Please help me, this game is too cool to be not played

Prime
12-26-2003, 05:33 PM
You'll probably need to get the OpenGL drivers from the manufacturer's website...

clocs
12-27-2003, 07:36 AM
I thought so too, but as I said, I've downloaded the 22 MB sized drivers and the game still won't work. The name of the file is

wxp-w2k-catalyst-7-962-031202m1-012924c.exe

And this is the latest driver. Or are there any separate drivers for OpenGL?

TheStressPuppy
12-27-2003, 07:50 AM
You can try the Omega drivers. They seem to fix some issues with a few games. You can get them here http://www.omegacorner.com/

clocs
12-27-2003, 08:26 AM
OK, thank you, I'll try this.

I'm very upset because of this, when you look on the lucasarts support site under "Currently Unsupported 3D Chipsets (http://support.lucasarts.com/trg/tgd.asp?id=2675&g=148&s=12)" there is nothing about the ATI Radeon 9100.

I hope I'll be able to play the game before the holidays end...

clocs
12-28-2003, 08:42 AM
Originally posted by TheStressPuppy
You can try the Omega drivers. They seem to fix some issues with a few games. You can get them here http://www.omegacorner.com/

No, doesn't work. Same Problem.

Zerglord
01-07-2004, 06:52 PM
I have the same Videocard but i've got Windows Mellennium
The game launvhes but after ecaping from Endar spire it starts
to LAGGGGGGGGG when I move the character:mad:
My system:
Pentium4 1.9 Ghz
256mb ram
Radeon 9100 128 mb

and I have failed the Open gl test
But on endar spire everything runs perfect :confused:

To All: please answer why does this happen?

to Clocs:
I feel that none of us will play this game before the end of the holidays
if you can run it please mail me lonmail@rol.ru

clocs
01-15-2004, 11:58 AM
Hmm, I think that bioware is too lazy to publish a new patch for the older graphiccards. I'm sure that it would run with the ATI Radeon 9100, because every game runs with it, but they don't want to upgrade the game. The only thing we can do is to wait for new drivers for our cards (or a new patch, which is not really probably) or to buy a new graphiccard.

All my friends have played the game, though I got it first...

it's annoying, and I don't want to mess with this problem any more, but if someone finds a solution, please mail me.
( clocs@web.de ).

Prime
01-15-2004, 04:01 PM
You guys have tried the patch, haven't you?

Lil' Jawa
01-15-2004, 11:42 PM
If you know a bit about overclocking and have a card that will clock to 9200 Pro speeds perhaps you could flash it with a 9200-bios and it would work? okay maybe a bit far-fetched as I don't really know technical differences between a 9000 and 9200 except the clock but perhaps it's worth a shot if you know what i'm talking about(otherwise don't try, it could ruin your card permanently).;)


Sorry my bad jawa humor..:jawa

clocs
01-30-2004, 03:02 PM
Thank you lil' Jawa, but I really have no idea what you are talkin about ... I don't really understand this hardware stuff... :)

And of course I got the patched version, but I did not try it without the update....

But the first thing I'll do now, is to download the new ATI drivers (There are some new, and I'm very happy about that). I hope this will help, and I'll tell you what happens (Sound like a TV-soap...)
But the problem are the 25 MB, so it can last a long time until I got them. But I'll be Back!

Will the drivers work? Will I be able to play SWKOTOR? And will our heroes be able to find Bastila! Keep Waiting!


:))

Anach
01-30-2004, 07:06 PM
Other than the latest 4.1 drivers which include some KOTOR fixes, im not sure.

ATI has a support section which often has fixes for some problematic games on older cards.

Johan_Ranger
01-30-2004, 08:16 PM
the game runs fine on my 9000 pro, and i dont update my drivers very often, so maybe you've got a corrupt file, or if theres a bunch of lag, check to see if any other program has started up (like a screensaver or the scheduled maintenance) and if it has, shut it down.

clocs
02-02-2004, 07:39 AM
Ok, I've got the drivers, but there are no changes. same problems.

And I forgot to mention that the game stucks or changes back to the main screen when I try to get into the Bek's Area, after I found that booster thing. I can't controll the game anymore.

and yes, Johan_Ranger, I know that the game plays with some older cards (I think I have read it anywhere), but it doesn't work with mine. And all the other games (new and good games) work...

Lil' Jawa
02-02-2004, 11:40 AM
If you really want to play KOTOR in all it's glory I suggest you get a faster card, say 9800 Pro are only like 200 euros these days and that card would certainly run kotor.

clocs
02-03-2004, 09:05 AM
Sure, that would be the easiest solution, but where to get that 200 ? I can last up to one year to collect this money.

But I can't understand why the game runs wit the radeon 9000 but doesn't with the 9100? What's the difference, and why is the newer one worse than the older? I know that it has to do with the OpenGL, but what?

Lil' Jawa
02-03-2004, 11:36 AM
You need OpenGL version 1.4 to play KOTOR, so you'll need latest Catalysts v4.10 and make sure to uninstall all previous catalyst versions lying around messing up things, as it is with latest catalysts you SHOULD have Ogl 1.4 not 1.3 as your game says so you are probably doing something wrong or your card manufacturer screwed something up so your card doesn't have the hardware support for it(this seems very unlikely though as I've never heard of this though who knows with low-end budget chips they do all kinds of wierd stuff with them to save money).
be sure to have latest AGP and VGA drivers for your mainboard and latest windows xp service pack 1 too.

clocs
02-04-2004, 06:19 AM
Well, I got the 4.1 catalyst drivers, but I could try to upgrade my motherboard...

But I still think, that ATI removed some abilities of the card, so that I can't be able to play it even with the motherboard drivers.
I suppose that only a patch from bioware can help. But I'll have a try.

Lil' Jawa
02-04-2004, 01:53 PM
If it's your hardware then you should probably try aiming at getting some new during spring when ATi and Nvidia release new cards, prices will drop on all the older ones like 9600 Pro and 9800 now so you can always get them for a cheap buck then if it doesn't work out.

clocs
02-11-2004, 11:12 AM
New Patch released! I'll have a try! I hope it works...

clocs
02-14-2004, 08:19 AM
no, same problems. With which cards are you playing the game?
Does it work with a GForce 2 (Probably not)? and is someone out there, who plays the game with the Radeon 9100?

MrCyborg
02-14-2004, 02:57 PM
If your card doesnt support OpenGL 1.4 then there is nothing Bioware can do about that ~ thus its not a matter of "lazyness"

As far as know any GeForce 2 card would work, but Im really not sure about ATI's chipsets -

Just curious, have you played any of Quake 3 powered games with your current card - these would include Jedi Knight 2 and Acadamy and a whole bunch of others non-Star Wars - these games require OpenGL as well and if they work then i'm not quite sure what could be wrong

Just because you asked Im running with a GeForce 4 Ti4600 Ultra - but I'm sure that doesnt help you much

clocs
02-16-2004, 12:31 PM
I know that it has nothing to do with lazyness, but I was so frustrated, because all my friends played through it more than one time, and I'm still stuck at the secret bek's entry. When I start a new game it crashes after a few minutes. I don't know how I even got so far into game....

A friend of mine has a GeForce 2 and wants to sell it, maybe I can get it and play SWKotOR with it. That would not really help with the card-problem, but I would able to play that game.

But I am able to JKO, JKA, UT2003, NFSU, ETM, NBA2004....

But I can't play KotOR. I think that KotOR requires some options the 9100 doesn't support. just a little option other games don't need, but KotOR needs, so....

MrCyborg
02-16-2004, 07:06 PM
Some of those games use Direct3d so thats not particularly relevant but if you can run the later Quake 3 powered "Jedi Knight" games as you say then your card does support OpenGL ..... umm interesting i'm not sure whats going on ... In theory Bioware might have used some OpenGL extensions that your card doesn't support but games houses usually tend to write there own software support for stuff like that rather than rely on hardware specific extensions ... but they could do anything. Have you tried any of Bioware's technical support forums? I suspect that they would be able to resolve this right away.

Though as you say its kinda going around the problem your firend's GeForece 2 WILL work - I myself know several people who use these cards with no issues. The card isnt worth much either so buying it should be relatively painless for anyone...

Good luck anyway, I think you'll find the game well worth it when you finally get it working -

Criminal
02-16-2004, 09:05 PM
this is the olny reason im addicted to file sharing.... you spend all your money on games but still lack the hardware to run them.....i buy a few games a year but mostly for consoles... lets take a look of what i would have to buy....

norton av/fw (every year)
microsoft office
easy cd creator
nero burning rom
adobe ps
and my collection of about 40+ games
internet connection 50 a month

despite all that i bought my pc last year sony, flat pannel, wireless keyboard & mouse....2000 -300(rebates)=1700

needed a dvd burner.....210
needed a new graphics card.....180
needed dvd-r $50 for 100 pack
wanted a new mobo....130

as you can see computers are juet getting to expensive to maintain.... lacking software i beleave it should have then making you pay for it :( (venturing off topic i see)but anyway my 2 cents

clocs
02-19-2004, 12:10 PM
Allright, I think this problem is solved.

I swapped my card with my friend, who has the ATI Radeon 9500 Pro, giving him the money difference. He doesn't need that card because he usually doesn't play computer games, so a 9100 would be enough for him. I gave him about 80 bucks and my card, he gave me his one, and we are all happy!

But anyway, it is a kind of weird that you can't play SWKotOR with the 9100, and you're not warned about that (not even on the official homepage, the card is not in the 'unsupported' section). But I also can't play 'Simpsons Hit & Run'. I have no idea what these games have in common, and I'm still frustrated, that I always have to buy a new card when I want to play the newest games (Last year I had to sell my GeForce 2 (never thought that I would need it again) to play UT2003 and GTA-VC).

But thank you all, it was a kind of relaxing to come here and see how all the people wanted to help. And who says internet is useless? (my chemistry teacher does...)

So thank you. I really hope I can play the game now (haven't tried yet, will tell you soon if it works, and I think it will).

ThankS!

mrpie
02-19-2004, 02:36 PM
older ATI cards like those weren't too good about playing games... While at the same time, if you owned the old Gefroce2, you were able to run anything without a single graphic glitch...

Criminal
02-19-2004, 06:50 PM
however.....new ati's pritty much dominate the market

clocs
02-29-2004, 10:02 AM
Game works perfectly. Best Game Ever!

Thanks again to everybody!